# Filter the Perl extension module
%{?perl_default_filter}

%define upstream_name	 File-LibMagic
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl wrapper for libmagic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::AutoConf)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
BuildRequires: libmagic-devel
%description
The File::LibMagic is a simple perl interface to libmagic from the
file-4.x package

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

chmod -R u+w %{buildroot}%{perl_vendorarch}/{auto,File}

%check
make test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.230.0-8.mga10
+ Revision: 2225939
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.230.0-7.mga10
+ Revision: 2088048
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.230.0-6.mga10
+ Revision: 2010583
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.230.0-4.mga9
+ Revision: 1862866
- Rebuild for Perl 5.36

* Sat Mar 19 2022 umeabot <umeabot> 1.230.0-3.mga9
+ Revision: 1799549
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.230.0-2.mga9
+ Revision: 1727670
- Rebuild for perl 5.34

* Mon Aug 31 2020 tv <tv> 1.230.0-1.mga8
+ Revision: 1620282
- update to 1.23
- remove uneeded DB BRs

* Thu Jun 18 2020 umeabot <umeabot> 1.220.0-2.mga8
+ Revision: 1595649
- Rebuild for perl 5.32

* Mon Apr 27 2020 tv <tv> 1.220.0-1.mga8
+ Revision: 1572396
- update to 1.22

* Sun Feb 16 2020 umeabot <umeabot> 1.160.0-5.mga8
+ Revision: 1530199
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.160.0-4.mga8
+ Revision: 1434447
- BR perl-ExtUtils-MakeMaker
+ tmb <tmb>
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.160.0-3.mga7
+ Revision: 1292844
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.160.0-2.mga7
+ Revision: 1250092
- Rebuild for perl 5.28

* Tue Oct 24 2017 shlomif <shlomif> 1.160.0-1.mga7
+ Revision: 1173441
- update to 1.16

* Mon Oct 02 2017 tv <tv> 1.150.0-6.mga7
+ Revision: 1164345
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.150.0-5.mga7
+ Revision: 1149621
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.150.0-4.mga7
+ Revision: 1126636
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-3.mga6
+ Revision: 1027324
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 umeabot <umeabot> 1.150.0-2.mga6
+ Revision: 953039
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 884601
- update to 1.15

* Mon Jul 13 2015 sander85 <sander85> 1.130.0-1.mga6
+ Revision: 853640
- update to 1.13

* Thu Jun 25 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 843566
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 750338
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.20.0-3.mga5
+ Revision: 732138
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 684736
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 657522
- update to 1.02

* Tue Jun 03 2014 pterjan <pterjan> 1.10.0-2.mga5
+ Revision: 631189
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 623816
- update to 1.01

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 538598
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 489979
- update to 1.00
+ jquelin <jquelin>
- perl 5.18.0 rebuild
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 jquelin <jquelin> 0.960.0-5.mga3
+ Revision: 252203
- fix build with file 5.10
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.960.0-4.mga2
+ Revision: 104269
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-3.mga1
+ Revision: 30343
- mageia rebuild
- imported package perl-File-LibMagic

